--[[
-- Copyright 2018 AKA Russell
--
-- This file is part of Scarlet.
--
-- Scarlet is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- Scarlet is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with Scarlet.  If not, see <http://www.gnu.org/licenses/>.
--]]

--[[ 
-- The entrypoint of custom code into the Scarlet engine. This module must
-- return a table with 5 keys:
--
-- characters: A table mapping names to characters. See 
-- items: A table mapping names to items. See
--  characters/characters.md#clothing for details.
-- powers: A table mapping names to powers. See combat/powers.md for details.
-- statuses: A table mapping names to statuses. See combat/combat.md#Status
--  for details.
-- options: A table mapping names to options. See utilities/options.md for 
--  details.
--
-- Optionally, you can also include the following optional key:
--
-- stories: A table mapping event names to game events. See story/stories.md for
--  details. If this key is not included, the game will load all the *.story
--  files in the data/story/ directory. Use this key if you want to put the
--  story file somewhere else, or use your own story language rather than the
--  builtin one.
--]]

return {
    characters=require 'data/characters',
    items=require 'data/items',
    powers=require 'data/powers',
    statuses=require 'data/statuses',
    options=require 'data/options'
}
