--[[
-- Copyright 2017 AKA Russell
--
-- This file is part of Scarlet.
--
-- Scarlet is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- Scarlet is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with Scarlet.  If not, see <http://www.gnu.org/licenses/>.
--]]

--[[
-- A module containing all clothing that the player can select for the PC to
-- wear.
]]

local M = {}

M["t-shirt"] = {
    name="t-shirt",
    description="Simple T-shirt",
    slots={"upper"},
    selectable=true,
    risque=1
}

M["v-necked t-shirt"] = {
    name="v-necked t-shirt",
    description="T-shirt with a plunging neckline",
    slots={"upper"},
    risque=2,
    selectable=true,
    type="shirt"
}

M["jeans"] = {
    name="jeans",
    description="Pair of jeans.",
    slots={"lower"},
    type="jeans",
    selectable=true,
    risque=1
}

M["pink dress"] = {
    name="pink dress",
    risque=2,
    slots={"upper", "lower"},
    type="dress",
    selectable=true,
    description="Dress that goes halfway down the thigh."
}

M["cheeky daisy dukes"] = {
    name="cheeky daisy dukes",
    risque=5,
    slots={"lower"},
    type="shorts",
    selectable=true,
    description="Cut-off jeans with a few inches of exposed cheek"
}

M["cheeky boy shorts"] = {
    name="cheeky boy shorts",
    risque=4,
    slots={"underwear"},
    type="underwear",
    selectable=true,
    description="Boyshorts that expose the lower third of your bottom."
}

M["sweat pants"] = {
    name="sweat pants",
    risque=1,
    slots={"lower"},
    type="pants",
    selectable=true,
    description="Baggy grey sweat pants."
}


M["underwear"] = {
    name="underwear",
    risque=3,
    slots={"underwear"},
    type="underwear",
    selectable=true,
    description="Underwear that completely covers your bottom"
}

M["slacks"] = {
    name="slacks",
    risque=1,
    slots={"lower"},
    type="pants",
    selectable=true,
    description="Tight grey slacks"
}

M["pencil skirt"] = {
    name="pencil skirt",
    risque=2,
    slots={"lower"},
    type="skirt",
    selectable=true,
    description="Long, tight black skirt. Sexy, but professional."
}

M["midriff-baring tanktop"] = {
    name="midriff-baring tanktop",
    risque=3,
    slots={"upper"},
    type="shirt",
    selectable=true,
    description="Tank top with plunging neckline and exposed midriff."
}

M["g-string"] = {
    name="g-string",
    risque=6,
    slots={"underwear"},
    type="thong",
    selectable=true,
    description="Thong backed by a single string."
}

M["skirt"] = {
    name="skirt",
    risque=0,
    slots={"lower"},
    type="skirt",
    selectable=true,
    description="Skirt that goes just past your knees."
}

M["cheeky short shorts"] = {
    name="cheeky short shorts",
    risque=5,
    selectable=true,
    slots={"lower"},
    type="shorts",
    description="Cotton shorts that expose some lower cheek."
}

M["knee-length shorts"] = {
    name="knee-length shorts",
    risque=0,
    selectable=true,
    slots={"lower"},
    type="shorts",
    description="Loose-fitting cotton shorts to your knees"
}

M["tights"] = {
    name="tights",
    risque=3,
    slots={"underwear"},
    selectable=true,
    type="tights",
    description="Skintight black tights"
}


M["leggings"] = {
    name="leggings",
    risque=4,
    slots={"lower"},
    selectable=true,
    type="pants",
    description="Skintight black leggings that show off every wobble."
}


M["boxer briefs"] = {
    name="boxer briefs",
    risque=4,
    slots={"underwear"},
    selectable=true,
    type="underwear",
    description="Tight boxers"
}

M["large shirt"] = {
    name="large shirt",
    risque=0,
    slots={"upper"},
    selectable=true,
    type="shirt",
    description="Shirt halfway to the knees"
}

M["sundress"] = {
    name="sundress",
    risque=1,
    slots={"upper", "lower"},
    selectable=true,
    type="dress",
    description="Sleeveless dress that goes to just above the knees."
}

M["blouse"] = {
    name="blouse",
    risque=0,
    slots={"upper"},
    selectable=true,
    type="shirt",
    description="Loose-fitting blouse."
}

M["purple blouse"] = {
    name="purple blouse",
    risque=0,
    slots={"upper"},
    selectable=true,
    type="shirt",
    description="A fitted white blouse with purple flowers."
}


M["suit bottom"] = {
    name="suit bottom",
    risque=0,
    selectable=true,
    slots={"lower"},
    type="pants",
    description="Fitted dark blue pants."
}

M["daisy dukes"] = {
    name="daisy dukes",
    risque=3,
    slots={"lower"},
    type="shorts",
    selectable=true,
    description="Cut-off jeans that mostly cover your ass."
}

M["flower print pants"] = {
    name="flower print pants",
    risque=2,
    slots={"lower"},
    type="pants",
    selectable=true,
    description="Skintight pants with a pretty flower design."
}

M["miniskirt"] = {
    name="miniskirt",
    risque=5,
    slots={"lower"},
    type="skirt",
    selectable=true,
    description="Flippy white mini skirt, barely covers your ass."
}

M["short shorts"] = {
    name="short shorts",
    risque=2,
    selectable=true,
    slots={"lower"},
    type="shorts",
    description="Cotton shorts that barely cover your ass."
}

M["boxers"] = {
    name="boxers",
    risque=3,
    slots={"underwear"},
    selectable=true,
    type="underwear",
    description="Boxers."
}

M["blue vest"] = {
    name="blue vest",
    risque=0,
    selectable=true,
    slots={"upper"},
    type="shirt",
    description="Blue vest with white shirt and bowtie."
}

M["jean shorts"] = {
    name="jean shorts",
    risque=0,
    selectable=true,
    slots={"lower"},
    type="shorts",
    description="Jean shorts to your knees."
}

M["tight sweat pants"] = {
    name="tight sweat pants",
    risque=3,
    selectable=true,
    slots={"lower"},
    type="pants",
    description="Tight grey sweat pants."
}

M["blue shorts"] = {
    name="blue shorts",
    risque=0,
    selectable=true,
    slots={"lower"},
    type="shorts",
    description="Loose-fitting long blue shorts."
}

M["black dress"] = {
    name="black dress",
    risque=5,
    selectable=true,
    slots={"upper", "lower"},
    type="dress",
    description="Lowcut tight black dress that ends just below the ass."
}

M["thong"] = {
    name="thong",
    risque=6,
    selectable=true,
    slots={"underwear"},
    type="thong",
    description="Panties backed by a thin strip of cloth."
}

M["leather miniskirt"] = {
    name="leather miniskirt",
    risque=5,
    selectable=true,
    slots={"lower"},
    type="skirt",
    description="Tight leather miniskirt that barely covers the ass."
}

M["track pants"] = {
    name="track pants",
    risque=0,
    selectable=true,
    slots={"lower"},
    type="pants",
    description="Loose fitting pants conducive to running."
}

M["skater skirt"] = {
    name="skater skirt",
    risque=2,
    selectable=true,
    slots={"lower"},
    type="skirt",
    description="Flippy skater skirt about halfway down the thighs."
}

M["skinny jeans"] = {
    name="skinny jeans",
    risque=2,
    selectable=true,
    slots={"lower"},
    type="jeans",
    description="Pair of painted-on jeans without back pockets."
}

M["suit top"] = {
    name="suit top",
    risque=0,
    slots={"upper"},
    selectable=true,
    type="shirt",
    description="Dark blue suit top with tie."
}

M["baggy jeans"] = {
    name="baggy jeans",
    risque=4,
    slots={"lower"},
    selectable=true,
    type="jeans",
    description="Baggy pair of jeans that hang low."
}

M["flower print dress"] = {
    name="flower print dress",
    risque=1,
    selectable=true,
    slots={"upper", "lower"},
    type="pants",
    description="V-necked dress goes past your knees."
}

M["crop top"] = {
    name="crop top",
    risque=3,
    selectable=true,
    slots={"upper"},
    type="shirt",
    description="Off-the-shoulder crop top with bare shoulders and midriff."
}

M["shorts"] = {
    name="shorts",
    risque=1,
    selectable=true,
    slots={"lower"},
    type="shorts",
    description="Cotton shorts go halfway down the thigh."
}

M["tanktop"] = {
    name="tanktop",
    risque=2,
    selectable=true,
    slots={"upper"},
    type="shirt",
    description="Shirt with sloped neck and no sleeves."
}

M["lacy panties"] = {
    name="lacy panties",
    risque=5,
    selectable=true,
    slots={"underwear"},
    type="underwear",
    description="Lacy panties expose the bottom half of your bum."
}

M["boy shorts"] = {
    name="boy shorts",
    risque=3,
    selectable=true,
    slots={"underwear"},
    type="underwear",
    description="Underwear that fully covers your bum."
}

return M
